Subject: [PATCH 3/3] ARM: S5PV210: Add voltage consumer of WM8994 to the regulator framework

From: [email-masked] (Chanwoo Choi)
Date: Mon, 04 Oct 2010 21:50:04 +0900

Mark Brown wrote:
> On Fri, Oct 01, 2010 at 05:25:43PM +0900, Kyungmin Park wrote:
>> On Fri, Oct 1, 2010 at 4:24 PM, Mark Brown
> 
>>> It's still good to show the actual connection on the board for clarity -
>>> like I say, the regulator API can handle always on regulators and
>>> keeping the regulator setup in software close to the schematic helps
>>> make the code easier to follow.
> 
>> It's best but in most case schematic is confidential. so it's impossible.
> 
> Right, this is normal - even with widely available reference boards the
> schematics are often distributed only under NDA.  Since the information
> exposed is at the same level as describing where the devices are on
> buses and so on this isn't usually a problem.
> 
>> And as you concerns there's no power issues related with codes. it's
>> already verified design. I think wolfsonmicro already confirmed.
> 
> Using a fixed voltage regulator won't cause a problem in operation, the
> issue is one of code quality.

Hi, Mark.

Do you have additional comment on this patch?

Best Regards,
Chanwoo Choi